> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osiro.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv2organizations funnels analyticsanswers



## OpenAPI

````yaml https://api.osiro.com/doc get /api/v2/organizations/{orgId}/funnels/{funnelId}/analytics/answers
openapi: 3.0.0
info:
  title: osiro API
  version: 2.0.0
servers: []
security: []
tags:
  - name: Funnel
    description: Public funnel rendering, submission, MFA, and analytics.
  - name: Training
    description: Org-scoped sales-training catalogs, sessions, and call records.
  - name: Attribution
    description: Cross-domain PostHog identity handoff for the marketing site.
paths:
  /api/v2/organizations/{orgId}/funnels/{funnelId}/analytics/answers:
    get:
      tags:
        - Funnel analytics
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: orgId
          in: path
        - schema:
            type: string
            format: uuid
          required: true
          name: funnelId
          in: path
        - schema:
            type: string
            enum:
              - today
              - yesterday
              - 7d
              - 30d
              - 90d
              - all
              - custom
            default: 30d
          required: false
          name: range
          in: query
        - schema:
            type: string
            format: date
          required: false
          name: from
          in: query
        - schema:
            type: string
            format: date
          required: false
          name: to
          in: query
        - schema:
            type: string
            minLength: 1
          required: false
          name: utmSource
          in: query
        - schema:
            type: string
            minLength: 1
          required: false
          name: utmMedium
          in: query
        - schema:
            type: string
            minLength: 1
          required: false
          name: utmCampaign
          in: query
        - schema:
            type: string
            minLength: 1
          required: false
          name: utmTerm
          in: query
        - schema:
            type: string
            minLength: 1
          required: false
          name: utmContent
          in: query
        - schema:
            type: string
            minLength: 1
          required: false
          name: referrer
          in: query
        - schema:
            type: string
            enum:
              - mobile
              - tablet
              - desktop
          required: false
          name: deviceType
          in: query
        - schema:
            type: string
            enum:
              - chrome
              - firefox
              - safari
              - edge
              - opera
              - samsung
              - other
          required: false
          name: browser
          in: query
        - schema:
            type: string
            enum:
              - ios
              - android
              - macos
              - windows
              - linux
              - other
          required: false
          name: os
          in: query
      responses:
        '200':
          description: Distribution of submitted answers per form field
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FunnelAnalyticsAnswers'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    FunnelAnalyticsAnswers:
      type: array
      items:
        type: object
        properties:
          fieldName:
            type: string
          blockType:
            type: string
          answerValue:
            type: string
          count:
            type: number
        required:
          - fieldName
          - blockType
          - answerValue
          - count
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
      required:
        - error

````